
@import'./variables';
@import "~bootstrap/scss/bootstrap";
@import './shapes';
@import './images';
@import './text';
@import './cards';
@import './forms';
body{
    background-color: $pr-bg;
    padding:0px;
    margin:0px;
    color:$font-color;
    direction: ltr;
}
.art-grid{
    column-count: 3;
    color:$white;
    img{
        width: 100%;
    }

}

.header-container{
    min-height: 10rem;
}
.social-links{
    div{
        display: flex;
        width: 50px;
        height: 50px;
        border-radius: 5rem;
        margin: 10px;
        justify-content: center;
        align-items: center;
        background-color:$pr-bg;
        cursor: pointer;
        transition: $transition-time;
    &:hover{
        background-color:$sc-bg;
    }
    } 
    img{
        width: 22px;
        height: 22px;
    }
}
.footer-top{
    color: $purple;
}
#silicon-logo{
    background-color: red;
}

svg{
    font-family: $font-family-brand !important;
}

.main-navbar{
    .nav-link{
        border-radius: $border-radius;
        margin:0px 10px;
        padding:10px 20px!important;
        $color:$white!important;
        

    }
    .nav-link:hover{
        background-color: $orange ;

    }
    .active{
        background-color: $orange ;

    }
}
.lets-btn{
    border-width: 1px;
    border-style: solid;
    border-color: $blue;
    color:$white;
    width: fit-content;
    border-radius: $border-radius;
    &:hover{
        background-color: $orange ;
        border-color: $orange !important;
    }
}
.card{
    position: relative;
    z-index: 0;
    overflow: hidden;
        &:before {
        content: "";
        position: absolute;
        z-index: -1;
        top: 5%;
        left: -20px;
        background: rgba($color: #000, $alpha: 0.1);
        height: 32px;
        width: 32px;
        border-radius: 32px;
        transform: scale(1);
        transform-origin: 50% 50%;
        transition: transform 0.25s ease-out;
      }
    
      &:hover:before {
        transform: scale(23);
      }
    
}
